Get Position Events
curl --request GET \
--url https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"type": "withdraw",
"blockNumber": 18000000,
"logIndex": 12,
"timestamp": 1730567927,
"transactionHash": "0xabc",
"asset": {
"address": "0xusdc",
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"logoURI": ""
},
"amount": "4942.07",
"amountUSD": "4942.07",
"priceUSD": "1.00",
"counterparty": "0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 23,
"next_page": "https://api.defiorbit.xyz/path?page=2&limit=10",
"prev_page": null
},
"request_id": "req_..."
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "page must be a positive integer.",
"request_id": "req_..."
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "Missing API key.",
"request_id": "req_..."
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient API credits.",
"request_id": "req_..."
}
}{
"error": {
"code": "ACCOUNT_SUSPENDED",
"message": "This organization is suspended.",
"request_id": "req_..."
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later.",
"request_id": "req_..."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"request_id": "req_..."
}
}Get Position Events
Position history: supply, borrow, withdraw, repay, and liquidation for one chain. Optional market_id (default main). Each event has type, amount, amountUSD, priceUSD, asset details, and transactionHash. Newest first.
Credits: 1 per successful call.
GET
https://api.defiorbit.xyz
/
v1
/
lending
/
aavev3
/
position
/
{chain_id}
/
events
Get Position Events
curl --request GET \
--url https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"type": "withdraw",
"blockNumber": 18000000,
"logIndex": 12,
"timestamp": 1730567927,
"transactionHash": "0xabc",
"asset": {
"address": "0xusdc",
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"logoURI": ""
},
"amount": "4942.07",
"amountUSD": "4942.07",
"priceUSD": "1.00",
"counterparty": "0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 23,
"next_page": "https://api.defiorbit.xyz/path?page=2&limit=10",
"prev_page": null
},
"request_id": "req_..."
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "page must be a positive integer.",
"request_id": "req_..."
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "Missing API key.",
"request_id": "req_..."
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient API credits.",
"request_id": "req_..."
}
}{
"error": {
"code": "ACCOUNT_SUSPENDED",
"message": "This organization is suspended.",
"request_id": "req_..."
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later.",
"request_id": "req_..."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"request_id": "req_..."
}
}Authorizations
Path Parameters
Chain ID.
Example:
8453
Query Parameters
Wallet address.
Example:
"0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495"
Default: main. Values: main, lido, horizon.
Available options:
main, lido, horizon Page. Default: 1.
Maximum 25. Default: 10.
Required range:
x <= 25